iohandler.hh File Reference
`#include <set>`
`#include <mia/core/handler.hh>`
`#include <mia/core/ioplugin.hh>`
`#include <mia/core/delayedparameter.hh>`
Include dependency graph for iohandler.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | IOHandler_of< Data >
class | TIOPluginHandler< I >
| Template for all plug-in handlers that are responsible for data IO. More...

## Macros

#define | EXPLICITE_INSTANCEIATE_IO_HANDLER(IOTYPE)
| Explicitely instanciate all that is needed for an IO plugin.

## Functions

template<typename T>
T | load_image (const std::string &filename)

## Macro Definition Documentation

## EXPLICITE_INSTANCEIATE_IO_HANDLER

#define EXPLICITE_INSTANCEIATE_IO_HANDLER | ( |  | IOTYPE | ) |

Value:
template class TIOPlugin<IOTYPE>; \
template class THandlerSingleton<TIOPluginHandler<TIOPlugin<IOTYPE>>>; \
template class TIOPluginHandler<TIOPlugin<IOTYPE>>; \
template class TPluginHandler<TIOPlugin<IOTYPE>> \
THandlerSingleton
the singleton that a plug-in handler really is
Definition handler.hh:159
TIOPluginHandler
Template for all plug-in handlers that are responsible for data IO.
Definition iohandler.hh:45
TIOPlugin
The templatex basis class of all IO plug-ins.
Definition ioplugin.hh:58
TPluginHandler
The basic template of all plugin handlers.
Definition handler.hh:57

Explicitely instanciate all that is needed for an IO plugin.

Parameters

  IOTYPE | data type that is handled by this io handler

Definition at line 176 of file iohandler.hh.

## Function Documentation

## load_image()

template<typename T>

T load_image | ( | const std::string & | filename | ) |

This fakes some load image function

Remarks
  what is this for?

Definition at line 194 of file iohandler.hh.

Referenced by TImageCombinerFilter< Image >::do_filter().